<mat-card>
  <mat-toolbar color="primary"> Detalhes do curso </mat-toolbar>

  <mat-card-content>
    <form [formGroup]="form" class="min-width">
      <mat-form-field class="full-width">
        <input matInput placeholder="Nome" formControlName="name"/>
      </mat-form-field>

      <mat-form-field class="full-width">
        <mat-label>Categoria</mat-label>
        <mat-select formControlName="category">
          <mat-option value="null"></mat-option>
          <mat-option value="front-end">Front-End</mat-option>
          <mat-option value="back-end">Back-End</mat-option>
        </mat-select>
      </mat-form-field>
    </form>
  </mat-card-content>

  <mat-card-actions>
    <button
      mat-raised-button
      [disabled]="this.form.invalid"
      color="primary"
      (click)="onSubmit()"
    >
      Salvar
    </button>
    <button mat-raised-button (click)="onCancel()">Cancelar</button>
  </mat-card-actions>
</mat-card>
